%
% Tech-report macros
%

%
% Tech-report vs. paper formatting
%
\newif\iftechreport
\newcommand\sectionA[1]{%
   \iftechreport\chapter{#1}
   \else\section{#1}
   \fi}
\newcommand\sectionB[1]{%
   \iftechreport\section{#1}
   \else\subsection{#1}
   \fi}
\newcommand\sectionC[1]{%
   \iftechreport\subsection{#1}
   \else\subsubsection{#1}
   \fi}
\newcommand\sectionD[1]{%
   \iftechreport\subsubsection{#1}
   \else\paragraph{#1}
   \fi}

%
% Ignore the contents in TR mode.
%
\newcommand\trif[2]{%
   \iftechreport{#1}
   \else{#2}
   \fi}
\newcommand\tronly[1]{\trif{#1}{}}

% -*-
% Local Variables:
% Mode: LaTeX
% fill-column: 100
% TeX-master: "paper"
% TeX-command-default: "LaTeX/dvips Interactive"
% End:
% -*-
